import 'package:flutter/material.dart';

class UploadArrow extends StatefulWidget {
  final Color color;
  UploadArrow({Key key, this.color}) : super(key: key);
  @override
  UploadArrowState createState() => UploadArrowState();
}

class UploadArrowState extends State<UploadArrow>
    with SingleTickerProviderStateMixin {
  AnimationController _controller;
  Animation<double> offsetAnim;

  @override
  void initState() {
    super.initState();

    _controller = AnimationController(
      duration: Duration(milliseconds: 500),
      vsync: this,
    );
    offsetAnim = Tween(begin: -2.0, end: 2.0).animate(_controller);

//    animationController.addStatusListener((status) {
//      if (status == AnimationStatus.completed) {
//        animationController.reverse();
//      } else if (status == AnimationStatus.dismissed) {
//        animationController.forward();
//      }
//    });
//
//    animationController.forward();
    _controller.repeat();
  }

  @override
  void didUpdateWidget(UploadArrow oldWidget) {
    super.didUpdateWidget(oldWidget);
    if (!_controller.isAnimating)
      _controller.repeat();
    else if (_controller.isAnimating) _controller.stop();
  }

  @override
  void dispose() {
    _controller?.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    final primaryColor = Theme.of(context).primaryColor;
    return AnimatedBuilder(
      animation: offsetAnim, //添加动画
      builder: (context, _) {
        return Transform.translate(
          offset: Offset(0, offsetAnim.value),
          child: Icon(
            Icons.arrow_upward_outlined,
            color: widget.color ?? primaryColor,
          ),
        );
      },
    );
  }
}
