import 'package:flutter/material.dart';

class BorderContainer extends StatelessWidget {
  final Widget child;
  final AlignmentGeometry alignment;
  final EdgeInsetsGeometry padding;
  final EdgeInsetsGeometry margin;
  final double width;
  final double height;
  final Color color;
  final double borderWidth;

  BorderContainer({
    Key key,
    this.alignment,
    this.padding,
    this.width,
    this.height,
    this.margin,
    this.child,
    this.color,
    this.borderWidth = 2,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
        alignment: alignment,
        padding: padding,
        width: width,
        height: height,
        margin: margin,
        decoration: BoxDecoration(
          color: Colors.white,
          border:
              Border.all(color: color ?? Colors.grey[200], width: borderWidth),
        ),
        child: child);
  }
}
