import 'package:flutter/material.dart';
import 'package:mobile_ui/mobile_ui.dart';
import 'ui_spacing.dart';

class NoRecords extends StatelessWidget {
  final String text;
  final Widget svgPicture;
  final Function onPressed;
  final String buttonText;
  final double paddingFlactor;
  final double rowSpacing;
  const NoRecords(
      {Key key,
      this.text,
      this.svgPicture,
      this.onPressed,
      this.buttonText = 'Continue Exploring',
      this.paddingFlactor = 1,
      this.rowSpacing = 1})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Container(
          alignment: Alignment.center,
          padding: EdgeInsets.all(uiSpacing(paddingFlactor)),
          child: Column(
            mainAxisAlignment: MainAxisAlignment.start,
            children: <Widget>[
              if (svgPicture != null) svgPicture,
              RowSpacing(
                spacingFlactor: rowSpacing,
              ),
              Text(
                text,
                maxLines: 2,
                textAlign: TextAlign.center,
              ),
              RowSpacing(
                spacingFlactor: rowSpacing,
              ),
              onPressed == null
                  ? SizedBox(
                      width: 0,
                      height: 0,
                    )
                  : RaisedButton(onPressed: onPressed),
            ],
          )),
    );
  }
}
