import 'package:flutter/material.dart';

import 'form_input_base.dart';

class CheckboxFormInput extends FormInputBase<bool> {
  CheckboxFormInput(
      {Key key,
      String labelText,
      bool initialValue,
      ValueController<bool> controller,
      FocusNode focusNode,
      bool readOnly = false,
      bool enabled = true,
      bool tristate = false,
      bool isRequired = false,
      FormFieldSetter<bool> onSaved,
      ValueValidator<bool> validator,
      ValueChanged<bool> onChanged,
      AutovalidateMode autovalidateMode,
      TextAlign labelAlign = TextAlign.left,
      FieldOrientation orientation = FieldOrientation.horizontal,
      EdgeInsetsGeometry contentPadding = const EdgeInsets.all(0),
      EdgeInsetsGeometry margin = const EdgeInsets.symmetric(vertical: 8),
      ControlPosition controlPosition = ControlPosition.trailing})
      : super(
          key: key,
          initialValue: controller != null
              ? null
              : (tristate == true ? initialValue : (initialValue ?? false)),
          onSaved: onSaved,
          isRequired: isRequired,
          validator: validator,
          enabled: enabled,
          autovalidateMode: autovalidateMode,
          orientation: orientation,
          controlPosition: controlPosition,
          labelText: labelText,
          labelAlign: labelAlign,
          valueController: controller,
          contentPadding: contentPadding,
          margin: margin,
          // ignore: missing_return
          builder: (field) {
            FormInputBase<bool> widget = field.widget;
            FormInputStateBase<bool> state = field;
            var checkbox = Checkbox(
                focusNode: focusNode,
                tristate: tristate,
                onChanged: enabled == true
                    ? (value) {
                        if (readOnly == true) return;
                        state.changeValue(value);
                        if (onChanged != null) onChanged(value);
                      }
                    : null,
                value: state.effectiveValueController.value,
                materialTapTargetSize: MaterialTapTargetSize.shrinkWrap);
            return widget.buildField(field, checkbox);
          },
        );
}
