import 'package:flutter/material.dart';
import 'package:intl/intl.dart';

const String formatDateSG = 'dd/MM/yyyy';
const String formatDateDayofWeekSG = 'dd/MM/yyyy EEEE';
const String formatDateTimeSG = 'dd/MM/yy HH:mm';
const String formatDateTimeAMSG = 'dd/MM/yy hh:mm aaa';
const String formatTimeSG = 'hh:mm aaa';

extension DateTimeExtension on DateTime {
  String formatBy([String pattern = formatDateSG]) {
    var formater = DateFormat(pattern);
    return formater.format(this);
  }

  DateTime date() {
    return DateTime(year, month, day);
  }

  String formatTimeStamp(int timeStamp, Locale locale) {
    var dt = DateTime.fromMillisecondsSinceEpoch(timeStamp);
    var formatter = DateFormat.yMd(locale.toString()).add_Hm();
    return formatter.format(dt);
  }

  String formatTimeStampToShortDate(int timeStamp, Locale locale) {
    var dt = DateTime.fromMillisecondsSinceEpoch(timeStamp);
    var formatter = DateFormat.yMd(locale.toString());
    return formatter.format(dt);
  }

  String formatToShortDate(Locale locale) {
    var formatter = DateFormat.yMd(locale.toString());
    return formatter.format(this);
  }

  static DateTime fromTimeStamp(int timeStamp) {
    return DateTime.fromMillisecondsSinceEpoch(timeStamp);
  }

  static DateTime fromJson(String json) {
    if (json == null || json.isEmpty) return null;
    var dt = DateTime.tryParse(json);
    return dt.toLocal();
  }

  String toJson() {
    return toUtc().toString();
  }
}
