extension StringExtension on String {
  DateTime toDateTime() {
    var dt = DateTime.tryParse(this);
    if (dt != null) return dt.toLocal();

    return null;
  }

  String toCamelCase() {
    if (this == null) return null;
    final words = this.split(' ');
    var result = '';
    words.forEach((element) {
      if (element.isNotEmpty) {
        result += element.uppercaseFirstChar();
      }
    });
    return result?.lowercaseFirstChar();
  }

  String uppercaseFirstChar() {
    if (this != null && this.length > 1)
      return "${this[0].toUpperCase()}${this.substring(1)}";
    return this?.toUpperCase();
  }

  String lowercaseFirstChar() {
    if (this != null && this.length > 1)
      return "${this[0].toLowerCase()}${this.substring(1)}";
    return this?.toLowerCase();
  }
}
