import 'package:flutter/material.dart';
import 'package:fluttertoast/fluttertoast.dart';

Future<bool> showWarning(String message, {int duration = 2}) {
  return Fluttertoast.showToast(
      msg: message,
      toastLength: Toast.LENGTH_SHORT,
      gravity: ToastGravity.CENTER,
      timeInSecForIosWeb: duration,
      backgroundColor: Color(0xFFF9BD0F),
      textColor: Colors.white,
      fontSize: 16.0);
}

Future<bool> showSuccess(String message, {int duration = 2}) {
  return Fluttertoast.showToast(
      msg: message,
      toastLength: Toast.LENGTH_SHORT,
      gravity: ToastGravity.CENTER,
      timeInSecForIosWeb: duration,
      backgroundColor: Color(0xFF82C67B),
      textColor: Colors.white,
      fontSize: 16.0);
}

String _errorMessages;

Future<bool> showError(String message, {int duration = 2}) async {
  if (_errorMessages != null && _errorMessages == message) {
    return false;
  } else {
    _errorMessages = message;
    await Fluttertoast.showToast(
        msg: message,
        toastLength: Toast.LENGTH_SHORT,
        gravity: ToastGravity.CENTER,
        timeInSecForIosWeb: duration,
        backgroundColor: Color(0xFFF06858),
        textColor: Colors.white,
        fontSize: 16.0);
    _errorMessages = null;
    return true;
  }
}

Future<bool> showInformation(String message, {int duration = 2}) {
  return Fluttertoast.showToast(
      msg: message,
      toastLength: Toast.LENGTH_SHORT,
      gravity: ToastGravity.CENTER,
      timeInSecForIosWeb: duration,
      backgroundColor: Color(0xFF61AADD),
      textColor: Colors.white,
      fontSize: 16.0);
}
